## Apache Zeta Components Manual :: Docs For Class ezcBasePropertyNotFoundException

### Base::ezcBasePropertyNotFoundException

### Class ezcBasePropertyNotFoundException

ezcBasePropertyNotFoundException is thrown whenever a non existent property is accessed in the Components library.

Source for this file: /Base/src/exceptions/property_not_found.php

    Exception
       |
       --ezcBaseException
          |
          --ezcBasePropertyNotFoundException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcBasePropertyNotFoundException | `__construct( $name )` Constructs a new ezcBasePropertyNotFoundException for the property $name.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcBasePropertyNotFoundException __construct( string $name )

Constructs a new ezcBasePropertyNotFoundException for the property $name.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string | The name of the property

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3